### Method

# Gimp Drawable shadows_highlights

since: 2.10.34

#### Declaration [src]

    gboolean
    gimp_drawable_shadows_highlights (
      GimpDrawable* drawable,
      gdouble shadows,
      gdouble highlights,
      gdouble whitepoint,
      gdouble radius,
      gdouble compress,
      gdouble shadows_ccorrect,
      gdouble highlights_ccorrect
    )

#### Description [src]

Perform shadows and highlights correction.

This filter allows adjusting shadows and highlights in the image separately. The implementation closely follow its counterpart in the Darktable photography software.

Available since: 2.10.34

#### Parameters

`shadows`

  Type: `gdouble`

  Adjust exposure of shadows.

`highlights`

  Type: `gdouble`

  Adjust exposure of highlights.

`whitepoint`

  Type: `gdouble`

  Shift white point.

`radius`

  Type: `gdouble`

  Spatial extent.

`compress`

  Type: `gdouble`

  Compress the effect on shadows/highlights and preserve midtones.

`shadows_ccorrect`

  Type: `gdouble`

  Adjust saturation of shadows.

`highlights_ccorrect`

  Type: `gdouble`

  Adjust saturation of highlights.

#### Return value

Type: `gboolean`

TRUE on success.